Xalan-Java 2.7.1: Class ReverseAxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class ReverseAxesWalker

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.PredicatedNodeTest
                        |
                        +--org.apache.xpath.axes.AxesWalker
                              |
                              +--org.apache.xpath.axes.ReverseAxesWalker

public class ReverseAxesWalker
extends AxesWalker

Walker for a reverse axes.

See Also:
  XPath 2.4 Predicates, Serialized Form

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NODETEST, SCORE_NONE, SCORE_NSWILD, SCORE_OTHER, SCORE_QNAME, SHOW_BYFUNCTION, SUPPORTS_PRE_STRIPPING, WILD`

Method Summary
`void` | `detach()` Detaches the walker from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state.
`int` | `getLastPos(XPathContext xctxt)` Get the number of nodes in this node list.
`boolean` | `isDocOrdered()` Returns true if all the nodes in the iteration well be returned in document order.
`boolean` | `isReverseAxes()` Tells if this is a reverse axes.
`void` | `setRoot(int root)` Set the root node of the TreeWalker.

Methods inherited from class org.apache.xpath.axes.AxesWalker
`callVisitors, clone, deepEquals, getAnalysisBits, getAxis, getCurrentNode, getDTM, getExpression, getNextWalker, getPrevWalker, getRoot, init, nextNode, setDefaultDTM, setExpression, setNextWalker, setPrevWalker, wi`

Methods inherited from class org.apache.xpath.axes.PredicatedNodeTest
`acceptNode, callPredicateVisitors, canTraverseOutsideSubtree, fixupVariables, getLocPathIterator, getPredicate, getPredicateCount, getPredicateIndex, getProximityPosition, getProximityPosition, initProximityPosition, resetProximityPositions, setLocPathIterator, setPredicateCount`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, execute, execute, getDefaultScore, getLocalName, getNamespace, getNodeTypeTest, getStaticScore, getWhatToShow, initNodeTest, initNodeTest, setLocalName, setNamespace, setStaticScore, setWhatToShow`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setRoot

    public void setRoot(int root)

  Set the root node of the TreeWalker. (Not part of the DOM2 TreeWalker interface).
  Parameters:
    `root` - The context node of this step.
  Overrides:
    setRoot in class AxesWalker

### detach

    public void detach()

  Detaches the walker from the set which it iterated over, releasing any computational resources and placing the iterator in the INVALID state.
  Overrides:
    detach in class AxesWalker

### isReverseAxes

    public boolean isReverseAxes()

  Tells if this is a reverse axes. Overrides AxesWalker#isReverseAxes.
  Returns:
    true for this class.
  Overrides:
    isReverseAxes in class PredicatedNodeTest

### getLastPos

    public int getLastPos(XPathContext xctxt)

  Get the number of nodes in this node list. The function is probably ill named?
  Parameters:
    `xctxt` - The XPath runtime context.
  Returns:
    the number of nodes in this node list.
  Overrides:
    getLastPos in class AxesWalker

### isDocOrdered

    public boolean isDocOrdered()

  Returns true if all the nodes in the iteration well be returned in document order. Warning: This can only be called after setRoot has been called!
  Returns:
    false.
  Overrides:
    isDocOrdered in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.